---
title: "Get an energy label of an object"
slug: "get-an-energy-label-of-an-object"
updated: 2025-11-07T20:01:40Z
published: 2026-02-10T10:39:15Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an energy label of an object

Get/api/v1/realestateobjects/energylabels

Get an existing energy label. Either reference or externalIdentifier must have a value. If both are given, both are used for retrieving the section.

		
			

**Description**

Retrieve the energy label of a certain real estate object.

Either reference or externalIdentifier must have a value. Please note that if both identifiers are given, both must match; otherwise, an error message will be generated. It is recommended that the user utilizes only one identifier, with a preference for the reference.

**Use Case**

The user wants to show the energy label of a certain real estate object in an application connected to the Bloxs API.

**Request fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all objects. The relationship number is generated by the Bloxs system. |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |

**Response fields**

The response contains the fields in the table below.

| Field | Description |
| --- | --- |
| energyLabel | A representation of the energy performance of the property. Defined as a letter. This is a standard list, but it can be modified by the user. |
| energyLabelValidUntilDate | The date until when the energy label is valid. |
| fileName | The name of the file (energy report) which is linked to the real estate object. This does not contain the actual file itself. |
| fileSize | The size of the file (energy report) which is linked to the real estate object. This does not contain the actual file itself. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parametersreferencestring

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

externalIdentifierstring

The external API identifier of the model.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='247b0815-2cfc-4c99-903c-159da5a150c0'>application/json</option>
</select>Expand Allobject  energyLabelNamestring   | null  
energyLabelValidUntilDatestring  (date)   | null  
documentobject (EnergyLabelDocumentAPIDetailsModel)  fileNamestring   | null  
fileSizeinteger  (int64)    

404

The requested real estate object was not found.
